# Method: projects.locations.importJobs.list

- [HTTP request](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs/list#body.ListImportJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs/list#body.aspect)

Lists all import jobs.

### HTTP request

`GET https://migrationcenter.googleapis.com/v1/{parent=projects/*/locations/*}/importJobs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for `ListImportJobsRequest`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` A token identifying a page of results the server should return. |
| `filter` | `string` Filtering results. |
| `orderBy` | `string` Field to sort by. See <https://google.aip.dev/132#ordering> for more details. |
| `view` | ``enum (`https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/ImportJobView`)`` Optional. The level of details of each import job. Default value is BASIC. |

### Request body

The request body must be empty.

### Response body

A response for listing import jobs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "importJobs": [ { object (`https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs#ImportJob`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `importJobs[]` | ``object (`https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.importJobs#ImportJob`)`` The list of import jobs. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).